import { CategoryService } from "@/services/category.service"

import NewItemForm from "../_components/new.item.form"

export default async function NewItemPage() {
  const categories = await CategoryService.findAll()

  return (
    <div className="flex flex-col gap-4">
      <div className="flex items-center justify-between gap-4">
        <h1 className="text-2xl font-bold">New Item</h1>
      </div>
      <NewItemForm categories={categories} />
    </div>
  )
}
